/************************
*** Z80 CPU Interface ***
***    Header File    ***
************************/

#ifndef	Z80INTRF_H
#define Z80INRTF_H

#include "mz80.h"

#define z80_int(VEC) mz80int(VEC)
#define z80_nmi() mz80nmi()
#define z80_exec(CIC) mz80exec(CIC)

void z80_init(void);

#define Z80_VBL_CYCLES 100000

extern UINT8		subcpu_memspace[65536];
extern int		sound_code;
extern int		pending_command;
extern int		result_code;
extern int		z80_cycles;

#endif /* Z80INTRF_H */

